.block-scroll {
  overflow: hidden;
}

.fixed-panel {
  position: fixed;
  bottom: 8px;
  right: 8px;
  transition: right 0.3s ease;
  z-index: 10;
}

.fixed-panel.open-page-nav {
  right: 128px;
}

.page-nav-burger {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 56px;
  height: 56px;
  background-color: hsla(0, 0%, 50.2%, 0.96);
  border-radius: 50%;
  transition: transform 0.45s cubic-bezier(0.56, 0.86, 0.59, 1),
    background-color 0.2s ease-in-out, background-position 0.25s ease-in-out,
    z-index 0.5s ease-in-out, opacity 0.5s ease-in-out,
    visibility 0.5s ease-in-out;
  cursor: pointer;
}

.page-nav-burger.open .cross-icon {
  display: block;
}

.page-nav-burger.open .menu-icon {
  display: none;
}

.page-nav-burger path {
  fill: #ffffff;
}

.menu-icon path {
  display: block;
}

.page-nav-burger .cross-icon {
  display: none;
}

.page-nav {
  width: 120px;
  position: fixed;
  top: 0;
  right: -100%;
  bottom: 0;
  font-family: -apple-system, system-ui, BlinkMacSystemFont, Segoe UI, Ubuntu, Fira Sans, Roboto, Avenir Next, Helvetica Neue, Helvetica, Arial, sans-serif;
  z-index: 1000;
  transition: right 0.3s ease;
}



.page-nav-container {
  overflow: hidden;
}

.page-nav.open {
  right: 0;
}

.page-nav__header {
  display: none;
  height: 0;
}

.page-nav__list-wrapper {}

.page-nav__header {
  padding-top: 100px;
  padding-left: 24px;
  font-size: 28px;
  line-height: 34px;
  color: #fff;
  font-weight: 500;
  font-style: normal;
}

.page-nav-card {
  display: block;
  position: relative;
  -ms-user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

.page-nav-card__image {
  display: block;
  width: 100%;
  height: auto;
}

.page-nav-card:after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 1px;
  background: rgba(0, 0, 0, .05);
  z-index: 35;
}

.page-nav-card__number {
  position: absolute;
  right: 8px;
  bottom: 8px;
  width: 24px;
  height: 24px;
  border-radius: 12px;
  background: #fff;
  box-shadow: 0 0 2px rgba(0, 0, 0, .42);
  font-size: 12px;
  line-height: 25px;
  text-align: center;
  color: rgba(0, 0, 0, .8);
  z-index: 50;
  transition: z-index ease 0.3s;
}

.page-nav-card.active .page-nav-card__number {
  background: #0078ff;
  color: hsla(0, 0%, 100%, .8);
}

.page-nav .page-nav-card:not(.active):before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, .4);
  z-index: 30;
}

.page-nav-card:not(.active) .page-nav-card__number:before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 12px;
  background: rgba(0, 0, 0, .4);
  -webkit-transition: all .2s ease-out;
  transition: all .2s ease-out;
}

.page-nav-card:not(.active):hover .page-nav-card__number:before {
  content: "";
  background: transparent;
}



#my-scrollbar {}

@media screen and (min-width: 768px) {
  .fixed-panel {
    bottom: 24px;
    right: 24px;
  }

  .fixed-panel.open-page-nav {
    right: 264px;
  }

  .page-nav-burger {
    width: 56px;
    height: 56px;
  }

  .page-nav {
    width: 240px;
  }

  .page-nav__header {
    display: block;
    height: 184px;
    box-shadow: 0 1px 0 0 rgb(0 0 0 / 10%);
    background: #2f2f2f
  }

  .page-nav-burger:hover {
    background-color: #313131;
  }

}